App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
mhr.appandroid.displayer.BitmapDisplayer.Lock Class Reference

Třída, na které se provádí synchronizace. More...

## Public Attributes
volatile boolean | REDRAW_FLAG = false
| Signalizuje, že je třeba překreslit obraz.
volatile boolean | EXIT_FLAG = false
| Signalizuje, že je třeba ukončit thread.
volatile boolean | CHANGE_INPUT_FLAG = false
| Signalizuje, že byl zadán požadavek na změnu vstupní bitmapy.
volatile boolean | OUTPUT_READY_FLAG = false
| Signalizuje, že je připraven vístup - SurfaceView je vytvořen.
volatile boolean | INPUT_READY_FLAG = false
| Signalizuje, že je připravena vstupní bitmapa.
volatile boolean | POSITIONING_CHANGED = false
| Signalizuje, že se změnila oblast bitmapy, která se vykresluje.
volatile boolean | BUSY_FLAG = true
| NEPOUŽITO, později signalizuje, že vlákno pracuje, vykresluje.

## Detailed Description

Třída, na které se provádí synchronizace.

Třída, na které se provádí synchronizace. Java neumožňuje synchronizovat na primitivních typech, proto se zavádí tato tořída.

Slouží jako náhrada pro synchronized(this) - pro všechny kritické úseky kódu se synchronizuje přes ni, zároveň zapouzdřuje jednotlivé flagy, které řídí běh threadu.

Definition at line 33 of file BitmapDisplayer.java.

## Member Data Documentation

volatile boolean mhr.appandroid.displayer.BitmapDisplayer.Lock.BUSY_FLAG = true

NEPOUŽITO, později signalizuje, že vlákno pracuje, vykresluje.

Definition at line 40 of file BitmapDisplayer.java.

volatile boolean mhr.appandroid.displayer.BitmapDisplayer.Lock.CHANGE_INPUT_FLAG = false

Signalizuje, že byl zadán požadavek na změnu vstupní bitmapy.

Definition at line 36 of file BitmapDisplayer.java.

volatile boolean mhr.appandroid.displayer.BitmapDisplayer.Lock.EXIT_FLAG = false

Signalizuje, že je třeba ukončit thread.

Definition at line 35 of file BitmapDisplayer.java.

volatile boolean mhr.appandroid.displayer.BitmapDisplayer.Lock.INPUT_READY_FLAG = false

Signalizuje, že je připravena vstupní bitmapa.

Definition at line 38 of file BitmapDisplayer.java.

volatile boolean mhr.appandroid.displayer.BitmapDisplayer.Lock.OUTPUT_READY_FLAG = false

Signalizuje, že je připraven vístup - SurfaceView je vytvořen.

Definition at line 37 of file BitmapDisplayer.java.

volatile boolean mhr.appandroid.displayer.BitmapDisplayer.Lock.POSITIONING_CHANGED = false

Signalizuje, že se změnila oblast bitmapy, která se vykresluje.

Definition at line 39 of file BitmapDisplayer.java.

volatile boolean mhr.appandroid.displayer.BitmapDisplayer.Lock.REDRAW_FLAG = false

Signalizuje, že je třeba překreslit obraz.

Definition at line 34 of file BitmapDisplayer.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appandroid/src/mhr/appandroid/displayer/BitmapDisplayer.java